/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface CurrentSubjectSessionBeanRemote {

    public void newCurrentSubject(entities.CurrentSubject c);

    public java.util.List<entities.CurrentSubject> allCurrentSubjects();

    public java.util.List<entities.CurrentSubject> findByIDs(entities.Semester semester, entities.Subject subject);

    public java.util.List<entities.Subject> findAktiv();

    public java.util.List<entities.Subject> findBySemester(entities.Semester sem);
    

    
    
}
